Loading...
Searching...
No Matches
osmium::Timer Class Reference

`#include <timer.hpp>`

## Public Member Functions

| Timer ()=default
void | start () noexcept
void | stop () noexcept
int64_t | elapsed_microseconds () const noexcept

## Constructor & Destructor Documentation

## Timer()

osmium::Timer::Timer | ( |  | ) |

default

## Member Function Documentation

## elapsed_microseconds()

int64_t osmium::Timer::elapsed_microseconds | ( |  | ) | const

inlinenoexcept

## start()

void osmium::Timer::start | ( |  | ) |

inlinenoexcept

## stop()

void osmium::Timer::stop | ( |  | ) |

inlinenoexcept

The documentation for this class was generated from the following file:

- include/osmium/util/timer.hpp